// ==UserScript==
// @name           Blackboard Cleaner
// @namespace      bbc
// @description    This Script shall reduce your information-overload induced by the blackboard
// @include        http://bb2.sdi.h-da.de/webapps/portal/tab/_1_1/index.jsp
// ==/UserScript==

// This array contains the names of the courses you don't want anymore:
DontBugMeWith = ['Business Management',
				 'MD-BPS-IP-Begleitseminar',
				 'MSD-AVT/Audiovisual Technology',
				 'MSD-GS2/Management and Labour',
				 'MSD-GS3/Legal Aspects of Multimedia',
				 'MSD-GS4/Assessment of Information and Communication Technology',
				 'MSD-I5/Media System Engineering 1',
				 'MSD-TP: Textproduktion'];

// this calls the main working function.
bbc();


// The following functions are used in this script. If you wish to do something else,
// the easiest thing to do would be to edit "hideEntry()"-Function to your liking.
// I removed the whole line including the leading "coursebook".

function bbc() {
	var allLinks = document.getElementsByTagName('a');
	for (var i = 0;i < allLinks.length;i++){
		if (isBlacklisted(allLinks[i].text)) {
			hideEntry(allLinks[i]);
		}
	}
}
function isBlacklisted(needle) {
	for (var i=0;i<DontBugMeWith.length;i++) {
		if (DontBugMeWith[i] == needle) {
			return true;
		}
	}
	return false;
}
function hideEntry(node) {
	// Example 0: Shouting out the names of the courses:
	// alert(node.text + " nervt wie sau!");

	// Example 1: Make those courses less visible:
	// node.setAttribute('style','color:#ddeeff;');

	// Example 2: Making the row invisible (removing lead to strange results.
	// The HTML-Structure is: tbody -> tr -> td -> font -> our anchor node. so we need 3x parentNode.
	node.parentNode.parentNode.parentNode.setAttribute('style','display:none;');
}